  var crud_url="http://airtelkaraoke.aplimedia.tv/crudAPIAirtel/";
  var domainName="airtelkaraoke.aplimedia.tv"



function toast(message) {
    var $toast = $('<div class="ui-loader ui-overlay-shadow ui-body-e ui-corner-all"><h3>' + message + '</h3></div>');

    $toast.css({
        display: 'block', 
        background: '#fff',
        opacity: 0.90, 
        position: 'fixed',
        padding: '7px',
        'text-align': 'center',
        'font-size': '10px',
        width: '135px',
        left: ($(window).width() - 142) / 2,
        top: $(window).height() / 2 - 20
    });

    var removeToast = function(){
        $(this).remove();
    };

    $toast.click(removeToast);

    $toast.appendTo($.mobile.pageContainer).delay(2000);
    $toast.fadeOut(400, removeToast);
}

   // Cordova is loading.....
   document.addEventListener("deviceready", onDeviceReady, false);


  
$(document).bind("mobileinit", function() {
  $.support.touchOverflow = true;
  $.mobile.touchOverflowEnabled = true;


});



function getPhoneGapPath() {

    var path = window.location.pathname;
    path = path.substr( path, path.length - 10 );
    return 'file://' + path;

};


   // Now the Cordova is ready  
  function onDeviceReady()
    {

      window.analytics.startTrackerWithId('UA-59282137-1');
      window.analytics.debugMode()

      //Search form submitted
      $("#searchForm").live("submit", function(e) { 

        e.preventDefault();


                  $.mobile.loading( 'show');

                  //Submit to search
                        $.ajax({
                                    type: "POST",
                                    url: crud_url+"searchVideoItem",
                                    data: {q: $('#searchInput').val(), auth: window.localStorage.getItem("auth")},
                                    cache: true,
                                    dataType: "text",
                                    success: function(resp){
                                   
                                      var obj = jQuery.parseJSON(resp);
                              
                                      
                                  
                                    
                                   try{
                                      sessionStorage.search_results=JSON.stringify(obj.msg);
                                   }catch(err){
                                      sessionStorage.search_results=0;
                                   }
                                    
                                      

                                      //Go to video activity
                                      $.mobile.navigate( "video.html" );
                                        $.mobile.loading( 'hide');
                                    },error: function(xhr, ajaxOptions, thrownError){
                                      var obj = jQuery.parseJSON(xhr.responseText);
                                      alert(obj.msg);
                                      $.mobile.loading( 'hide');
                                      //alert("ERROR:" + xhr.responseText+" - "+thrownError);
                                      //alert("Oops, something went wrong, please try again later.")
                                    }
                                  });

       return false;

      });

      // myMedia = new Media(getPhoneGapPath() +"test.mp3", function () { },//alert("playAudio():Audio Success"); },
            // error callback
          //   function (err) { });//alert("playAudio():Audio Error: " + err.responseText); });
   

   //   myMedia = new Media(getPhoneGapPath() +"test.mp3");
     // myMedia.play();

 //Variable to signalize if coming to page from a back button
                var coming_from_back=false;

            
             // navigator.splashscreen.show();
            
                    //Check if an auth exists--> if yes -> redirect to landing page, else redirect to signup page
                   if(window.localStorage.getItem("auth") != null && window.localStorage.getItem("verified") != null  ){
                             $.mobile.changePage("#landing","fade");
                      }else{  

                     $.mobile.changePage("#signup", "fade");
                    }
             
              

                
  



/*======================================VIDEOS LISTVIEW SCROLL MANAGEMENT (LOAD MORE & shit)=================*/
    var vidisLoading=0;  
      var vidallDone=0;
      var vidmyScroll;
         //When new content is loaded, we just need to refresh the iscroll and not reattach it 
        $(document).on( "videoviewRefreshWithNewData", function() {
            sessionStorage.vidsince=$('#videoContainer li').size();
             vidmyScroll.refresh();
        });


          //When new content is loaded, we just need to refresh the iscroll and not reattach it 
        $(document).on( "videoviewSearchRefresh", function() {
           setTimeout(function () { vidmyScroll = new iScroll('vidwrapper', { }) },2000);
        });

        //link scrollview to content after services are loaded --> LOAD MORE MANAGEMENT
        $( document ).on( "videoviewRefresh", function() {
                 
             sessionStorage.vidsince=$('#videoContainer li').size();
              
              setTimeout(function () { vidmyScroll = new iScroll('vidwrapper', { 
                        hScroll: false, 
                        onScrollEnd: function (e) {
                         
                                 // CHECK if we reached end of the page --> Load more
                          if ( (this.y <= (this.maxScrollY + 100)) && vidisLoading==0 && vidallDone==0){ 
                              

                             //Show loading icon                
                            $.mobile.loading( 'show');
                         
                            // start loading next page content here
                              //Lock this loop
                              vidisLoading = 1; 
                             var serviceid=sessionStorage.service_id;
                              $.ajax({
                              type: "POST",
                              url: crud_url+"loadMoreVideos",
                              data: {since: sessionStorage.vidsince, auth:  window.localStorage.getItem("auth"),service_id: serviceid},
                              cache: false,
                              dataType: "text",
                              success: function(resp){

                                          var obj = jQuery.parseJSON(resp);
                                        
                                          
                                       
                                  
                                  if(obj!=null){

                                     //Load each video
                                        var allVideos=obj.msg;
                                                               
                                           $.each( allVideos, function( key, value ) {
                                      
                                              $( "#videoContainer" ).append('<li><a href="#purchase" class="fastClick ui-link-inherit ui-btn ui-shadow ui-corner-all ui-btn-icon-right ui-icon-shop" data-rel="popup" data-position-to="window" data-transition="pop"><img style="height:100%" src="'+value.logo+'"><h2 class="video_title">'+value.video_title+'</h2><p class="duration">'+value.video_duration+'</p><input type="hidden" class="video_price" value="'+value.video_price+'" /><input type="hidden" class="video_description" value="'+value.video_description+'" /><input type="hidden" class="video_id" value="'+value.video_id+'" /><input type="hidden" class="video_name" value="'+value.video_name+'" /></a></li>');
                                           
                                           });

                                             $("#videoContainer").addClass('ui-listview-inset ui-corner-all ui-shadow');
                                              $("#videoContainer").listview('option', 'inset', true);
                                      
                                         $('#videoContainer').listview('refresh').trigger('videoviewRefreshWithNewData');
                                        
                                         

                                         vidisLoading = 0; 
                                    
                                      }else{
                                          vidallDone=1;
                                          toast("Plus de contenu");
                                            $("#videoContainer").addClass('ui-listview-inset ui-corner-all ui-shadow');
                                            $("#videoContainer").listview('option', 'inset', true);
                                        $('#videoContainer').listview('refresh').trigger('videoviewRefreshWithNewData');
                                        
                                        
                                      }
                                       $.mobile.loading( 'hide');
                                       
                                      
                              },error: function(xhr, ajaxOptions, thrownError){
                                    if(xhr.status=='401')
                          {
                               window.localStorage.clear();
                               $.mobile.changePage("#signup", "fade");
                          }
                          else
                          {
                          alert("Impossible de se connecter, s'il vous plaît vérifier votre connexion Internet.");
                          navigator.app.exitApp();
                          }
                              }
                            });
                            
                          }

                        },
                        onScrollMove: function (e) {

                   
                        }
                      }); //end of new iScroll
                       
                       $.mobile.loading( 'hide');

                     }, 2000) ;


                });



  
/*======================================SERVICES LISTVIEW SCROLL MANAGEMENT (LOAD MORE & shit)=================*/
    var isLoading=0;  
      var allDone=0;
      var myScroll;
         //When new content is loaded, we just need to refresh the iscroll and not reattach it 
        $( "#gridContainer" ).on( "listviewRefreshWithNewData", function() {
            sessionStorage.since=$('#gridContainer li').size();
             myScroll.refresh();
        });

        //link scrollview to content after services are loaded --> LOAD MORE MANAGEMENT
        $( "#gridContainer" ).on( "listviewRefresh", function() {

             sessionStorage.since=$('#gridContainer li').size();
              
              setTimeout(function () { myScroll = new iScroll('wrapper', { 
                        hScroll: false, 
                        onScrollEnd: function (e) {

                                 // CHECK if we reached end of the page --> Load more
                          if ( (this.y < (this.maxScrollY + 100)) && isLoading==0 && allDone==0){ 
                              

                             //Show loading icon                
                            $.mobile.loading( 'show');
                         
                            // start loading next page content here
                              //Lock this loop
                              isLoading = 1; 

                              $.ajax({
                              type: "POST",
                              url: crud_url+"loadMoreServices",
                              data: {since: sessionStorage.since, auth:  window.localStorage.getItem("auth")},
                              cache: false,
                              dataType: "text",
                              success: function(resp){

                                          var obj = jQuery.parseJSON(resp);
                                         
                                          
                                    
                                  
                                  if(Object.keys(obj.msg).length!=0){

                                        //Load each service
                                        var allServices=obj.msg;

                                        $.each( allServices, function( key, value ) {
                                          $( "#gridContainer" ).append('<li class="serviceDiv" name="'+value.service_name+'" id="'+value.service_id+'"><a href="#"> <img src="'+value.logo+'" alt="'+value.service_name+'"> <h1>'+value.service_name+'</h1><p>'+value.service_description+'</p></a></li>');
                                        
                                        }); 

                                         $.mobile.loading( 'hide');
                                         $('#gridContainer').listview('refresh').trigger('listviewRefreshWithNewData');
                                        
                                         

                                         isLoading = 0; 
                                    
                                      }else{
                                          allDone=1;
                                           $.mobile.loading( 'hide');
                                          toast("Plus de contenu");
                                        $('#gridContainer').listview('refresh').trigger('listviewRefreshWithNewData');
                                        
                                        
                                      }
                                      
                                       
                                      
                              },error: function(xhr, ajaxOptions, thrownError){
                                   if(xhr.status=='401')
                          {
                               window.localStorage.clear();
                               $.mobile.changePage("#signup", "fade");
                          }
                          else
                          {
                          alert("Impossible de se connecter, s'il vous plaît vérifier votre connexion Internet.");
                          navigator.app.exitApp();
                          }
                              }
                            });
                            
                          }

                        },
                        onScrollMove: function (e) {

                   
                        }
                      }); //end of new iScroll
                       $.mobile.loading( 'hide');
                   
                     }, 2000) ;


                });




              //Disable content scrolling when menu is opened
                $(document).bind('panelopen', function (e, data) {
                      $('.ui-panel-wrapper').css("overflow", "hidden");
                      
                  });

                  $(document).bind('panelclose', function (e, data) {
                      $('.ui-panel-wrapper').css("overflow", "auto");

                  });

  

                //Open and close panel mecanism
                $( document ).on( "swiperight", "#landing", function( e ) {
                        // We check if there is no open panel on the page because otherwise
                        // a swipe to close the left panel would also open the right panel (and v.v.).
                        // We do this by checking the data that the framework stores on the page element (panel: open).
                        if ( $.mobile.activePage.jqmData( "panel" ) !== "open" ) {
                            $( "#myPanel" ).panel( "open" );
                        }
                      });
        

               



              //Sign Up form submission
                $('#mobileForm').submit(function(e){
                	e.preventDefault();
                
                	if($('#phoneNumb').val()==""){
                		alert("S'il vous plaît remplir votre numéro de téléphone.");
                		$('#phoneNumb').focus()

                	}else if($('#phoneNumb').val().substring(0, 3)!="261"){
                    alert("S'il vous plaît entrée le code de pays (ex.: 261XXXXXXXXX)");
                    $('#phoneNumb').focus()
                  }else if($('#phoneNumb').val().length!=12){
                    alert("Numéro non valide, s'il vous plaît vérifier à nouveau (ex.: 261XXXXXXXXX)");
                    $('#phoneNumb').focus()
                  }else{
                     
                     $.mobile.loading( 'show');
                				//Submit to signup
                				$.ajax({
                                    type: "POST",
                                    url: crud_url+"signUpUser",
                                    data: {username: $('#phoneNumb').val(), devid: device.uuid, device_type: device.platform},
                                    cache: false,
                                    dataType: "text",
                                    success: function(resp){
                                   
                                    	var obj = jQuery.parseJSON(resp);
                              
                                    	//Store received auth token
                                    	window.localStorage.setItem("auth", obj.auth);
                                    	window.localStorage.setItem("username", $('#phoneNumb').val());
                                      $.mobile.loading( 'hide');
                                      alert(obj.msg);
                                     
                                    	//Go to code verification activity 
                                    	 $.mobile.changePage("#verification",{
                                          transition: "slide",
                                          reverse: false
                                      });	

                                    },error: function(xhr, ajaxOptions, thrownError){
                                       if(xhr.status=='401' || xhr.status=='400')
                          {
                            var obj = jQuery.parseJSON(xhr.responseText);
                                      alert(obj.msg);
                          }else{
                             alert("Impossible de se connecter, s'il vous plaît vérifier votre connexion Internet.");
                          navigator.app.exitApp();
                          }

                                    	

                                          $.mobile.loading( 'hide');
                                    	//alert("ERROR:" + xhr.responseText+" - "+thrownError);
                                    	//alert("Oops, something went wrong, please try again later.")
                                    }
                                  });

                	}

                }); //End of mobile form




          //verification form submission
             $('#verificationForm').submit(function(e){
            	e.preventDefault();
          
            	if($('#codeNumb').val()==""){
            		alert("S'il vous plaît remplir le code de vérification");
            		$('#codeNumb').focus()
            	}else{


                //isset in jquery
                if (sessionStorage.getItem("verify") == null){   //the first time the user tries to verify
                    sessionStorage.verify=1;
                }else{                                              //not the first time
                  
                  sessionStorage.verify=parseInt(sessionStorage.verify)+1;
                  
                  if(sessionStorage.verify==5){
                      alert("Trop d'essai, le compte est temporairement verrouillé!")
                      navigator.app.exitApp();
                  }
                 
                }

                $.mobile.loading( 'show');
            				//Submit to signup
            				$.ajax({
                                type: "POST",
                                url: crud_url+"verifyCode",
                                data: {username: window.localStorage.getItem("username"), auth:  window.localStorage.getItem("auth"), code: $('#codeNumb').val()},
                                cache: false,
                                dataType: "text",
                                success: function(resp){
                                	var obj = jQuery.parseJSON(resp);
                          
                                	//Verify user locally
                                	window.localStorage.setItem("verified", "yes");
                             	    $.mobile.loading( 'hide');
                             		//Go to landing page
                                
                                document.location.href = 'index.html?var='+Math.random();
                         
                                },error: function(xhr, ajaxOptions, thrownError){
                                	var obj = jQuery.parseJSON(xhr.responseText);
                                   $.mobile.loading( 'hide');
                                	alert(obj.msg);

                                	//alert("ERROR:" + xhr.responseText+" - "+thrownError);
                                	//alert("Oops, something went wrong, please try again later.")
                                }
                              });

            	}

            }); //End of verification form

var handle=false;
   //Change page management : for loading data per page
   $(document).on('pagechange', function (e) {
  

     

         	//Load header on each page
         	if ( $('.headerContainer').children().length == 0 ) {
      	   	 $('.headerContainer').load("header.html", function() {
      	        $(this).trigger('create');
      	    });
         	}



   		if($.mobile.activePage.is('#landing') && !coming_from_back){
        if(handle==false){
           handle=true;
        
         $.mobile.loading( 'show');

   			//Fetch All Services
  			$.ajax({
                      type: "POST",
                      url: crud_url+"custom_bootstrap",
                      data: {username: window.localStorage.getItem("username"), auth:  window.localStorage.getItem("auth")},
                      cache: false,
                      dataType: "text",
                      success: function(resp){
                      	var obj = jQuery.parseJSON(resp);
                
                      	//update auth token
                      	window.localStorage.setItem("auth", obj.auth);
                  

                   	
                   		//Load each service
                   		var allServices=obj.msg;
                   		
                   		$.each( allServices, function( key, value ) {
                   			


        
        
                   			$( "#gridContainer" ).append('<li class="serviceDiv" name="'+value.service_name+'"  id="'+value.service_id+'"><a href="#"> <img src="'+value.logo+'" alt="'+value.service_name+'"> <h1>'+value.service_name+'</h1><p>'+value.service_description+'</p></a></li>');
                   		
   
                   		
                   		});	



                      $('#gridContainer').listview('refresh').trigger('listviewRefresh');

                    

                        handle=false;
                      },error: function(xhr, ajaxOptions, thrownError){
                          if(xhr.status=='401')
                          {
                               window.localStorage.clear();
                               $.mobile.changePage("#signup", "fade");
                          }
                          else
                          {
                          alert("Impossible de se connecter, s'il vous plaît vérifier votre connexion Internet.");
                          navigator.app.exitApp();
                          }

                            handle=false;
                        
                      }
                    });

        //When a service is clicked --> open video activity
   			$( "#gridContainer" ).delegate( ".serviceDiv", "click", function() {

          if(handle==false){
              handle=true;
             		sessionStorage.service_id=$(this).attr('id');
   					    sessionStorage.service_name=$(this).attr('name');
             		//Go to video page
                   	$.mobile.changePage("video.html",{
                             reloadPage: true,
                             transition: "slide",
                             reverse: false,
                        });	
                }

             });

        }
   			 //End of if Landingpage 
   		}else if($.mobile.activePage.is('#video')){

        if(sessionStorage.search_results!=null){

           $('#serviceName').html('Résultats')


          if(sessionStorage.search_results==0){
          $('#videoContent').html('<span style="font-size: 13px;color: gray;">Aucun résultat, essayez une autre requête...</span>');

          }else{

           

           

             var allVideos=jQuery.parseJSON(sessionStorage.search_results);

        
 
                               $.each( allVideos, function( key, value ) {
                          
                                  $( "#videoContainer" ).append('<li><a href="#purchase" class="fastClick ui-link-inherit ui-btn ui-shadow ui-corner-all ui-btn-icon-right ui-icon-shop" data-rel="popup" data-position-to="window" data-transition="pop"><img style="height:100%" src="'+value.logo+'"><h2 class="video_title">'+value.video_title+'</h2><p class="duration">'+value.video_duration+'</p><input type="hidden" class="video_price" value="'+value.video_price+'" /><input type="hidden" class="video_description" value="'+value.video_description+'" /><input type="hidden" class="video_id" value="'+value.video_id+'" /><input type="hidden" class="video_name" value="'+value.video_name+'" /></a></li>');
                               
                               });  

                                 
                               $("#videoContainer").addClass('ui-listview-inset ui-corner-all ui-shadow');
                              $("#videoContainer").listview('option', 'inset', true);
                              $('#videoContainer').listview('refresh').trigger('videoviewSearchRefresh');

                }

          sessionStorage.removeItem('search_results');
            

        }else{


        handle=false;

         if(handle==false){
           handle=true;


         vidisLoading=0;  
       vidallDone=0;
   	     $.mobile.loading( 'show');
   			$('#serviceName').html(sessionStorage.service_name);	
   			var serviceid=sessionStorage.service_id;
   			
   				//Fetch All Videos of service
  				$.ajax({
                      type: "POST",
                      url: crud_url+"getAllVideosOfVODService",
                      data: {username: window.localStorage.getItem("username"), auth:  window.localStorage.getItem("auth"), service_id : serviceid},
                      cache: false,
                      dataType: "text",
                      success: function(resp){
                        
                      
                         if($.isEmptyObject(resp)){
                           
                              $('#videoContent').html("<span style='font-size: 13px;color: gray;''>Pas de contenu dans ce service, Restez à l'écoute...</span>");

                               $.mobile.loading( 'hide');
                          }else{
                            	var obj = jQuery.parseJSON(resp);
          	
                         		 //Load each video
                         		 var allVideos=obj.msg;
                           
                             

                         		
                         		   $.each( allVideos, function( key, value ) {
                         	
                         			    $( "#videoContainer" ).append('<li><a href="#purchase" class="fastClick ui-link-inherit ui-btn ui-shadow ui-corner-all ui-btn-icon-right ui-icon-shop" data-rel="popup" data-position-to="window" data-transition="pop"><img style="height:100%" src="'+value.logo+'"><h2 class="video_title">'+value.video_title+'</h2><p class="duration">'+value.video_duration+'</p><input type="hidden" class="video_price" value="'+value.video_price+'" /><input type="hidden" class="video_description" value="'+value.video_description+'" /><input type="hidden" class="video_id" value="'+value.video_id+'" /><input type="hidden" class="video_name" value="'+value.video_name+'" /></a></li>');
      							           
                         		   });	

                                 
                         		   $("#videoContainer").addClass('ui-listview-inset ui-corner-all ui-shadow');
                              $("#videoContainer").listview('option', 'inset', true);
                              $('#videoContainer').listview('refresh').trigger('videoviewRefresh');

                            
                            }

                           handle=false;

                      },error: function(xhr, ajaxOptions, thrownError){
                        if(xhr.status=='401')
                          {
                               window.localStorage.clear();
                               $.mobile.changePage("#signup", "fade");
                          }
                          else
                          {
                          alert("Impossible de se connecter, s'il vous plaît vérifier votre connexion Internet.");
                          navigator.app.exitApp();
                          }
                          handle=false;
                      }
                    });

         }//end of handled 

       } //end of no search queries


   			$( "#videoContainer" ).delegate( "li", "tap", function(e) {
                e.preventDefault();
             		var selected=$(this);
             		sessionStorage.video_title=selected.children('a').children(".video_title").html();
             		$('#videoTitle').html(sessionStorage.video_title);
             		$('#videoDesc').html(selected.children('a').children(".video_description").val());
             		$('#videoPrice').html(selected.children('a').children(".video_price").val());
                sessionStorage.video_price=selected.children('a').children(".video_price").val();
                sessionStorage.video_name=selected.children('a').children(".video_name").val();
    


              
                
                  $("#purchase").popup("open");
                
  
             });




      


        //purchaseBtn pressed
        $("#purchaseBtn").click(function(e){

          e.preventDefault();     
               $.mobile.loading( 'show');  

         if(handle==false){
           handle=true;
            $.ajax({
                      type: "POST",
                      url: crud_url+"purchaseVideo",
                      data: {username: window.localStorage.getItem("username"), auth:  window.localStorage.getItem("auth"), object_name: decodeURIComponent(sessionStorage.video_name), service_id: sessionStorage.service_id, balance:  sessionStorage.video_price},
                      cache: false,
                      dataType: "text",
                      success: function(resp){
                              var obj = jQuery.parseJSON(resp);
                      
                           
                          
                            //Load each service
                            var token=obj.token;
                           
                            //var rtmp_url='http://199.189.255.122:1935/redirect/'+sessionStorage.service_id+'/_definst_/mp4:http/'+sessionStorage.service_id+'/'+sessionStorage.video_name+'/loadbalance.smil?t='+token;
                            //var rtsp_url='rtsp://199.189.255.122:1935/redirect/'+sessionStorage.service_id+'/_definst_/mp4:http/'+sessionStorage.service_id+'/'+encodeURIComponent(sessionStorage.video_name)+'?t='+token;
                            //var hls_url='http://199.189.255.122:1935/redirect/'+sessionStorage.service_id+'/_definst_/mp4:http/'+sessionStorage.service_id+'/'+sessionStorage.video_name+'?scheme=m3u8&t='+token;
                       

                            var rtmp_url='rtmp://'+domainName+':1935/'+sessionStorage.service_id+'?t='+token+'/mp4:http/'+sessionStorage.service_id+'/'+sessionStorage.video_name;
                            var rtsp_url='rtsp://'+domainName+':1935/'+sessionStorage.service_id+'/_definst_/mp4:http/'+sessionStorage.service_id+'/'+encodeURIComponent(sessionStorage.video_name)+'?t='+token;
                            var hls_url='http://'+domainName+':1935/'+sessionStorage.service_id+'/_definst_/mp4:http/'+sessionStorage.service_id+'/'+sessionStorage.video_name+'/playlist.m3u8?t='+token;

                            sessionStorage.rtmp_url=rtmp_url; 
                            sessionStorage.rtsp_url=rtsp_url; 
                            sessionStorage.hls_url=hls_url;
                            //Go to video page
                          $.mobile.changePage("play.html",{
                                   reloadPage: true,
                                  transition: "slide",
                                  reverse: false,

                              });  

             
                         
                               $.mobile.loading( 'hide');
                                 handle=false;

                      },error: function(xhr, ajaxOptions, thrownError){
                          handle=false;
                             $.mobile.loading( 'hide');
                         if(xhr.status=='401')
                          {
                               window.localStorage.clear();
                               $.mobile.changePage("#signup", "fade");
                          }
                          else
                          {

                         var obj = jQuery.parseJSON(xhr.responseText);
                          //alert(obj.msg);
                          $("#purchase").popup("close");
                          }
                      }
            });

          }

        });


     

      


   		}else if($.mobile.activePage.is('#playVid')){ // end of if video page

          $('#videoNameTitle').html(sessionStorage.video_title);

        

      }else if($.mobile.activePage.is('#profile')){ // end of if play page


           $('#theAccount').html(window.localStorage.getItem("username"))
          $.mobile.loading( 'show');
          //Fetch All Videos of service
          $.ajax({
                      type: "POST",
                      url: crud_url+"getUserBalance",
                      data: {username: window.localStorage.getItem("username"), auth:  window.localStorage.getItem("auth")},
                      cache: false,
                      dataType: "text",
                      success: function(resp){
                        var obj = jQuery.parseJSON(resp);
                
                      

                    
                      
                      $('#theBalance').html(obj.balance);
                       $('#theExpiry').html(obj.expires);
                     

                      $.mobile.loading( 'hide');

                      },error: function(xhr, ajaxOptions, thrownError){
                       if(xhr.status=='401')
                          {
                               window.localStorage.clear();
                               $.mobile.changePage("#signup", "fade");
                          }
                          else
                          {
                          alert("Impossible de se connecter, s'il vous plaît vérifier votre connexion Internet.");
                          navigator.app.exitApp();
                          }
                      }
                    });




              //releaseBtn pressed
        $("#releaseBtn").click(function(e){

          e.preventDefault();        

          $.ajax({
                      type: "POST",
                      url: crud_url+"releasePhoneNumber",
                      data: {username: window.localStorage.getItem("username"), auth:  window.localStorage.getItem("auth")},
                      cache: false,
                      dataType: "text",
                      success: function(resp){
                              var obj = jQuery.parseJSON(resp);
                      
                           
                          
                            alert(obj.msg);
                           
                      
                            window.localStorage.clear();
                            window.sessionStorage.clear();

                        document.location.href = 'index.html?var='+Math.random();
             
                         


                      },error: function(xhr, ajaxOptions, thrownError){
                        if(xhr.status=='401')
                          {
                               window.localStorage.clear();
                               $.mobile.changePage("#signup", "fade");
                          }
                          else
                          {
                          alert("Impossible de se connecter, s'il vous plaît vérifier votre connexion Internet.");
                          navigator.app.exitApp();
                          }
                      }
            });

        });


      } //end of profile page
       
    
   }); //on of live event




   // Respond to back/forward navigation buttons
$(window).on("navigate", function(event, data) {
    if (data.state.direction == "back") {
       coming_from_back=true;
    }
});


   //Back key Press Management --> If landing page exit app, otherwise, go back 
   document.addEventListener("backbutton", function(e){
       if($.mobile.activePage.is('#landing')){
           e.preventDefault();
        if ( $.mobile.activePage.jqmData( "panel" ) === "open" ) { //if the panel is open, close it, else close the app
            $( "#myPanel" ).panel( "close" );
        }else{
           navigator.app.exitApp();
           }
       }
       else if($.mobile.activePage.is('#signup')){
          navigator.app.exitApp();
       }else {
       		coming_from_back=true;
           navigator.app.backHistory()
       }
    }, false);






}; //End of document ready

